# Recent Reports By Trader `GET` `https://api.unusualwhales.com/api/congress/congress-trader` Returns the recent reports by the given congress member. Supports pagination via `page` (1-indexed) and `limit` parameters. Date range filtering: use `date` for upper bound and `date_from` for lower bound. To query a single day, set both to the same date (e.g. `?date_from=2025-06-15&date=2025-06-15`). ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `limit` | Default 100 Max 200 Min 1 | No | How many items to return. Default: 100. Max: 200. Min: 1. | | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | | `ticker` | Optional Ticker | No | Optional ticker symbol to filter results | | `name` | Congress Member | No | The full name of a congress member. Cannot contain digits/numbers. Spaces and characters may need to be URI encoded, e.g. Adam Kinzinger -> Adam%20Kinzinger. | | `page` | Page | No | Page number (use with limit). Starts on page 0. | | `date_from` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `amounts` | Insider Trades Amount Range | The reported amount range of the transaction. | | `filed_at_date` | Insider Trades Filing Date | The filing date as ISO date. | | `is_active` | Is Active | Is the politician an active member. | | `issuer` | Insider Trades Issuer | The person who executed the transaction. | | `member_type` | Insider Trades Member Type | The type of person who executed the transaction. | | `name` | Insider Trades Reporter's Standard Name | The Standardized name of the reporter (if found). | | `notes` | Insider Trades Filing Notes | Notes of the filing. | | `politician_id` | Politician ID | The Politician's ID that you'd like to filter by. | | `reporter` | Insider Trades Reporter | The person who reported the transaction (as written in filling). | | `ticker` | Stock Ticker | The stock ticker. | | `transaction_date` | Insider Trades Transaction Date | The transaction date as ISO date. | | `txn_type` | Insider Trades Transaction Type | The transaction type. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/congress/congress-trader" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/congress/congress-trader", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "amounts": "$15,001 - $50,000", "filed_at_date": "2023-02-13", "is_active": true, "issuer": "not-disclosed", "member_type": "house", "name": "Stephen Cohen", "notes": "Subholding Of: Stephens Advantage Account Description: FT UNIT 10479 PFD mutual-fund 32500", "politician_id": "18f9fc95-4661-444e-99f5-99d3778e0c31", "reporter": "Stephen C.", "ticker": "FHWVOX", "transaction_date": "2023-02-06", "txn_type": "Buy" }, { "amounts": "$1,000 - $15,000", "filed_at_date": "2023-02-13", "is_active": false, "issuer": "joint", "member_type": "house", "name": "Deborah Ross", "notes": "Subholding Of: Fidelity Brokerage Account stock 8000", "politician_id": "5b1e3f4a-2d3c-4e5f-8a6b-7c8d9e0f1a2b", "reporter": "Debby Ross", "ticker": "MSFT", "transaction_date": "2023-02-01", "txn_type": "Sell" } ] } ```